#!/usr/bin/bash

# Run this script after downloading input files
# (download-inputs.py)

inputdir="$1"
if [[ -z "$inputdir" ]]
then
    echo "$(basename "$0") INPUTDIR"
    exit 1
fi

for i in "$inputdir"/input-pdr1_udeep-*
do
    o=$(echo "$i" | sed 's#input-\(.*\)\.npy#pdf-\1#')
    echo ../scripts/hsc-predict.py model-trained-with-err-32-26-21-17-14-12-11.json "$i" "$o"
    ../scripts/hsc-predict.py model-trained-with-err-32-26-21-17-14-12-11.json "$i" "$o"
done

for i in "$inputdir"/input-pdr1_deep-*
do
    o=$(echo "$i" | sed 's#input-\(.*\)\.npy#pdf-\1#')
    echo ../scripts/hsc-predict.py model-trained-with-cmodelwideerr-33-27-22-18-15-13-12.json "$i" "$o"
    ../scripts/hsc-predict.py model-trained-with-cmodelwideerr-33-27-22-18-15-13-12.json "$i" "$o"
done

for i in "$inputdir"/input-pdr1_wide2-*
do
    o=$(echo "$i" | sed 's#input-\(.*\)\.npy#pdf-\1#')
    echo ../scripts/hsc-predict.py model-trained-with-cmodelwideerr-33-27-22-18-15-13-12.json "$i" "$o"
    ../scripts/hsc-predict.py model-trained-with-cmodelwideerr-33-27-22-18-15-13-12.json "$i" "$o"
done
